https://bbs.archlinux.org/viewtopic.php?id=290483

diff --git a/src/anaglyph/anaglyph.c b/src/anaglyph/anaglyph.c
index 5ee0b32..94dec30 100644
--- a/src/anaglyph/anaglyph.c
+++ b/src/anaglyph/anaglyph.c
@@ -21,6 +21,7 @@
 #include <compiz-core.h>
 #include "anaglyph_options.h"
 
+#include <stdlib.h>
 
 #define GET_ANAGLYPH_CORE(c) \
 	((AnaglyphCore *) (c)->base.privates[corePrivateIndex].ptr)
diff --git a/src/atlantis/atlantis-internal.h b/src/atlantis/atlantis-internal.h
index 4b3e903..4ce80cd 100644
--- a/src/atlantis/atlantis-internal.h
+++ b/src/atlantis/atlantis-internal.h
@@ -104,6 +104,7 @@
 
 #include <math.h>
 #include <float.h>
+#include <stdlib.h>
 
 /* some constants */
 #define PI     M_PI
diff --git a/src/elements/elements.c b/src/elements/elements.c
index 9c3d61f..f24ebc0 100644
--- a/src/elements/elements.c
+++ b/src/elements/elements.c
@@ -50,6 +50,9 @@
 
 #include <compiz-core.h>
 #include "elements_options.h"
+
+#include <stdlib.h>
+
 #define GET_DISPLAY(d)                            \
 	((eDisplay *) (d)->base.privates[displayPrivateIndex].ptr)
 
diff --git a/src/fakeargb/fakeargb.c b/src/fakeargb/fakeargb.c
index 1c8c241..c76c1b7 100644
--- a/src/fakeargb/fakeargb.c
+++ b/src/fakeargb/fakeargb.c
@@ -22,6 +22,8 @@
 #include <compiz-core.h>
 #include "fakeargb_options.h"
 
+#include <stdlib.h>
+
 static int displayPrivateIndex;
 
 typedef struct _FakeDisplay
diff --git a/src/fireflies/fireflies.c b/src/fireflies/fireflies.c
index 6d271c2..6f7b1a9 100644
--- a/src/fireflies/fireflies.c
+++ b/src/fireflies/fireflies.c
@@ -32,6 +32,8 @@
 #include <compiz-core.h>
 #include "fireflies_options.h"
 
+#include <stdlib.h>
+
 #define GET_SNOW_DISPLAY(d)                            \
     ((SnowDisplay *) (d)->base.privates[displayPrivateIndex].ptr)
 
diff --git a/src/freewins/freewins.c b/src/freewins/freewins.c
index bd55f56..fffc337 100644
--- a/src/freewins/freewins.c
+++ b/src/freewins/freewins.c
@@ -50,6 +50,8 @@
 
 #include "freewins.h"
 
+#include <stdlib.h>
+
 static CompMetadata freewinsMetadata;
 
 /* Information on window resize */
diff --git a/src/freewins/input.c b/src/freewins/input.c
index 96a9009..7c35d1e 100644
--- a/src/freewins/input.c
+++ b/src/freewins/input.c
@@ -50,6 +50,8 @@
 #include "freewins.h"
 #include <cairo/cairo-xlib.h>
 
+#include <stdlib.h>
+
 /* ------ Input Prevention -------------------------------------------*/
 
 /* Shape the IPW
diff --git a/src/smartput/smartput.c b/src/smartput/smartput.c
index a43f4c1..05bcbf1 100644
--- a/src/smartput/smartput.c
+++ b/src/smartput/smartput.c
@@ -50,6 +50,8 @@
 #include <compiz-core.h>
 #include "smartput_options.h"
 
+#include <stdlib.h>
+
 typedef struct _SmartputUndoInfo {
     Window window;
 
diff --git a/src/snow/snow.c b/src/snow/snow.c
index 80e94aa..fb6566a 100644
--- a/src/snow/snow.c
+++ b/src/snow/snow.c
@@ -32,6 +32,8 @@
 #include <compiz-core.h>
 #include "snow_options.h"
 
+#include <stdlib.h>
+
 #define GET_SNOW_DISPLAY(d)                            \
     ((SnowDisplay *) (d)->base.privates[displayPrivateIndex].ptr)
 
diff --git a/src/snowglobe/snowglobe-internal.h b/src/snowglobe/snowglobe-internal.h
index 9ca51ff..f6d89af 100644
--- a/src/snowglobe/snowglobe-internal.h
+++ b/src/snowglobe/snowglobe-internal.h
@@ -8,6 +8,7 @@
 
 #include <math.h>
 #include <float.h>
+#include <stdlib.h>
 
 /* some constants */
 #define PI     M_PI
diff --git a/src/stars/star.c b/src/stars/star.c
index 96a26c1..59aa7d9 100644
--- a/src/stars/star.c
+++ b/src/stars/star.c
@@ -43,6 +43,8 @@
 #include <compiz-core.h>
 #include "star_options.h"
 
+#include <stdlib.h>
+
 #define GET_SNOW_DISPLAY(d)                            \
     ((SnowDisplay *) (d)->base.privates[displayPrivateIndex].ptr)
 
diff --git a/src/tile/tile.c b/src/tile/tile.c
index d58cac5..98c0ad0 100644
--- a/src/tile/tile.c
+++ b/src/tile/tile.c
@@ -30,6 +30,8 @@
 #include <compiz-core.h>
 #include "tile_options.h"
 
+#include <stdlib.h>
+
 static int displayPrivateIndex = 0;
 
 typedef enum {
diff --git a/src/wizard/wizard.c b/src/wizard/wizard.c
index d60ff94..d90f9cc 100644
--- a/src/wizard/wizard.c
+++ b/src/wizard/wizard.c
@@ -30,6 +30,8 @@
 #include "wizard_options.h"
 #include "wizard_tex.h"
 
+#include <stdlib.h>
+
 #define GET_WIZARD_DISPLAY(d)                                  \
     ((WizardDisplay *) (d)->base.privates[displayPrivateIndex].ptr)
 
